<?php
$els = martfury_get_option( 'navigation_els_mobile' );

if ( empty( $els ) ) {
	return;
}

?>

<div class="mf-navigation-mobile" id="mf-navigation-mobile">
    <div class="navigation-list">
		<?php
		foreach ( $els as $el ) {
			if ( 'home' == $el ) {
				$home_active = '';
				if ( is_front_page() ) {
					$home_active = 'active';
				}
				echo sprintf( '<a href="%s" class="navigation-icon navigation-mobile_home %s"><i class="icon-home"></i> %s</a>', esc_url( home_url( '/' ) ), esc_attr( $home_active ), esc_html( martfury_get_option( 'navigation_home_mobile' ) ) );
			} elseif ( 'cat' == $el ) {
				echo sprintf( '<a href="#" class="navigation-icon navigation-mobile_cat" id="navigation-mobile_cat"><i class="icon-menu"></i> %s</a>', esc_html( martfury_get_option( 'navigation_cat_mobile' ) ) );
			} elseif ( 'search' == $el ) {
				echo sprintf( '<a href="#" class="navigation-icon navigation-mobile_search"><i class="icon-magnifier"></i> %s</a>', esc_html( martfury_get_option( 'navigation_search_mobile' ) ) );
			} elseif ( 'cart' == $el ) {

				if ( ! function_exists( 'wc_get_cart_url' ) ) {
					continue;
				}

				$cart_active = '';
				if ( function_exists( 'is_cart' ) && is_cart() ) {
					$cart_active = 'active';
				}
				echo sprintf( '<a href="%s" class="navigation-icon navigation-mobile_cart %s"><i class="icon-bag2"></i> %s</a>', esc_url( wc_get_cart_url() ), esc_attr( $cart_active ), esc_html( martfury_get_option( 'navigation_cart_mobile' ) ) );
			} elseif ( 'wishlist' == $el ) {

				if ( ! function_exists( 'YITH_WCWL' ) ) {
					continue;
				}

				$cart_active = '';
				$wishlist_page_id = get_option( 'yith_wcwl_wishlist_page_id' );
				if ( is_page( $wishlist_page_id ) ) {
					$cart_active = 'active';
				}
				echo sprintf( '<a href="%s" class="navigation-icon navigation-mobile_wishlist %s"><i class="icon-heart"></i> %s</a>', esc_url( get_permalink( $wishlist_page_id ) ), esc_attr( $cart_active ), esc_html( martfury_get_option( 'navigation_wishlist_mobile' ) ) );
			} elseif ( 'compare' == $el ) {

				if ( ! class_exists( 'YITH_Woocompare' ) ) {
					continue;
				}

				echo sprintf( '<a href="#" class="navigation-icon navigation-mobile_compare yith-woocompare-open"><i class="icon-chart-bars"></i> %s</a>',  esc_html( martfury_get_option( 'navigation_compare_mobile' ) ) );
			}
		}
		?>
    </div>
</div>